GregorianCalendar
Date: 2016-06-24

java.util

## Class GregorianCalendar

- java.lang.Object
- - java.util.Calendar
  - - java.util.GregorianCalendar

- All Implemented Interfaces:
    Serializable, Cloneable

      public class GregorianCalendar
      extends Calendar

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AD`
    `static int` | `BC`

    - ### Fields inherited from class java.util.Calendar

      `AM, AM_PM, APRIL, areFieldsSet, AUGUST, DATE, DAY_OF_MONTH, DAY_OF_WEEK, DAY_OF_WEEK_IN_MONTH, DAY_OF_YEAR, DECEMBER, DST_OFFSET, ERA, FEBRUARY, FIELD_COUNT, fields, FRIDAY, HOUR, HOUR_OF_DAY, isSet, isTimeSet, JANUARY, JULY, JUNE, MARCH, MAY, MILLISECOND, MINUTE, MONDAY, MONTH, NOVEMBER, OCTOBER, PM, SATURDAY, SECOND, SEPTEMBER, SUNDAY, THURSDAY, time, TUESDAY, UNDECIMBER, WEDNESDAY, WEEK_OF_MONTH, WEEK_OF_YEAR, YEAR, ZONE_OFFSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GregorianCalendar()`
    `GregorianCalendar(int var0, int var1, int var2)`
    `GregorianCalendar(int var0, int var1, int var2, int var3, int var4)`
    `GregorianCalendar(int var0, int var1, int var2, int var3, int var4, int var5)`
    `GregorianCalendar(Locale var0)`
    `GregorianCalendar(TimeZone var0)`
    `GregorianCalendar(TimeZone var0, Locale var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int var0, int var1)`
    `protected void` | `computeFields()`
    `protected void` | `computeTime()`
    `int` | `getGreatestMinimum(int var0)`
    `Date` | `getGregorianChange()`
    `int` | `getLeastMaximum(int var0)`
    `int` | `getMaximum(int var0)`
    `int` | `getMinimum(int var0)`
    `boolean` | `isLeapYear(int var0)`
    `void` | `roll(int var0, boolean var1)`
    `void` | `setGregorianChange(Date var0)`

    - ### Methods inherited from class java.util.Calendar

      `after, before, clear, clear, clone, complete, get, getActualMaximum, getActualMinimum, getAvailableLocales, getFirstDayOfWeek, getInstance, getInstance, getInstance, getInstance, getMinimalDaysInFirstWeek, getTime, getTimeInMillis, getTimeZone, internalGet, isLenient, isSet, roll, set, set, set, set, setFirstDayOfWeek, setLenient, setMinimalDaysInFirstWeek, setTime, setTimeInMillis, setTimeZone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AD

          public static final int AD

      See Also:
        Constant Field Values

    - #### BC

          public static final int BC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GregorianCalendar

          public GregorianCalendar()

    - #### GregorianCalendar

          public GregorianCalendar(int var0,
                           int var1,
                           int var2)

    - #### GregorianCalendar

          public GregorianCalendar(int var0,
                           int var1,
                           int var2,
                           int var3,
                           int var4)

    - #### GregorianCalendar

          public GregorianCalendar(int var0,
                           int var1,
                           int var2,
                           int var3,
                           int var4,
                           int var5)

    - #### GregorianCalendar

          public GregorianCalendar(Locale var0)

    - #### GregorianCalendar

          public GregorianCalendar(TimeZone var0)

    - #### GregorianCalendar

          public GregorianCalendar(TimeZone var0,
                           Locale var1)

  - ### Method Detail

    - #### add

          public void add(int var0,
                 int var1)

      Specified by:
        `add` in class `Calendar`

    - #### computeFields

          protected void computeFields()

      Specified by:
        `computeFields` in class `Calendar`

    - #### computeTime

          protected void computeTime()

      Specified by:
        `computeTime` in class `Calendar`

    - #### getGreatestMinimum

          public int getGreatestMinimum(int var0)

      Specified by:
        `getGreatestMinimum` in class `Calendar`

    - #### getGregorianChange

          public final Date getGregorianChange()

    - #### getLeastMaximum

          public int getLeastMaximum(int var0)

      Specified by:
        `getLeastMaximum` in class `Calendar`

    - #### getMaximum

          public int getMaximum(int var0)

      Specified by:
        `getMaximum` in class `Calendar`

    - #### getMinimum

          public int getMinimum(int var0)

      Specified by:
        `getMinimum` in class `Calendar`

    - #### isLeapYear

          public boolean isLeapYear(int var0)

    - #### roll

          public void roll(int var0,
                  boolean var1)

      Specified by:
        `roll` in class `Calendar`

    - #### setGregorianChange

          public void setGregorianChange(Date var0)